﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.Docking;

namespace ToggleDockState
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            
            DockTabControl.MouseDoubleClick += (s, me) =>
            {
                if (me.OriginalSource is TextBlock)
                {
                    C1DockTabControl dc;

                    //check if the mouse id double-clicked on the C1DockTabItem or the C1DockTabControl
                    //if C1DockTabItem, then handle the Docked state of it's parent
                    //else if C1DockTabControl, the Docked state of the source itself is handled
                                     
                    if(me.Source.GetType()==typeof(C1.WPF.Docking.C1DockTabItem))              
                     dc= (me.Source as C1DockTabItem).Parent as C1DockTabControl;
                    else
                     dc= me.Source as C1DockTabControl;
                    if (dc.DockMode == DockMode.Docked)
                    {
                        dc.DockMode = DockMode.Floating;
                    }
                    else if (dc.DockMode == DockMode.Floating)
                    {
                        dc.DockMode = DockMode.Docked;
                    }
                }
            };
        }
    }
}
